summaryrefslogtreecommitdiff
path: root/dev-util/checkbashisms/checkbashisms-2.20.5.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-17 23:35:33 +0000
committerLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-17 23:35:33 +0000
commit8e8120eabdd28020aa69c7a60505cce2edd20adc (patch)
tree061bf0acdc672720e0bc3a2d575f67d25aedb2d8 /dev-util/checkbashisms/checkbashisms-2.20.5.ebuild
parentc16790af2c9b4cbc38e565d4311252193ff85484 (diff)
downloadbaldeagleos-repo-21.1.2.tar.gz
baldeagleos-repo-21.1.2.tar.xz
baldeagleos-repo-21.1.2.zip
Updating liguros repo21.1.2
Diffstat (limited to 'dev-util/checkbashisms/checkbashisms-2.20.5.ebuild')
-rw-r--r--dev-util/checkbashisms/checkbashisms-2.20.5.ebuild37
1 files changed, 37 insertions, 0 deletions
diff --git a/dev-util/checkbashisms/checkbashisms-2.20.5.ebuild b/dev-util/checkbashisms/checkbashisms-2.20.5.ebuild
new file mode 100644
index 000000000000..1d567b48dc59
--- /dev/null
+++ b/dev-util/checkbashisms/checkbashisms-2.20.5.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="devscripts"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Perl script to check for commonly used bash features not defined by POSIX"
+HOMEPAGE="https://packages.debian.org/devscripts https://salsa.debian.org/debian/devscripts"
+SRC_URI="mirror://debian/pool/main/d/${MY_PN}/${MY_P/-/_}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+# Requires python packages to check tools we don't need anyway
+RESTRICT="test"
+
+RDEPEND="dev-lang/perl
+ virtual/perl-Getopt-Long"
+
+S="${WORKDIR}/${MY_P}/scripts"
+
+src_prepare() {
+ default
+
+ sed "s@###VERSION###@${PV}@" -i checkbashisms.pl || die
+}
+
+src_compile() { :; }
+
+src_install() {
+ newbin ${PN}.pl ${PN}
+ doman ${PN}.1
+}